parsec-3.1.3: Monadic parser combinators

Portability | portable
Stability | provisional
Maintainer | derek.a.elkins@gmail.com
Safe Haskell | Safe-Inferred

Text.Parsec.String

Description

Make Strings an instance of `Stream` with `Char` token type.

Synopsis

- type Parser = Parsec String ()
- type GenParser tok st = Parsec [tok] st
- parseFromFile :: Parser a -> String -> IO (Either ParseError a)

# Documentation

type Parser = Parsec String ()Source

type GenParser tok st = Parsec [tok] stSource

parseFromFile :: Parser a -> String -> IO (Either ParseError a)Source

`parseFromFile p filePath` runs a string parser `p` on the input read from `filePath` using `readFile`. Returns either a `ParseError` (`Left`) or a value of type `a` (`Right`).

      main    = do{ result <- parseFromFile numbers "digits.txt"
                  ; case result of
                      Left err  -> print err
                      Right xs  -> print (sum xs)
                  }